设为首页收藏本站

嘻皮客娱乐学习网

 找回密码
 中文注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

搜索
开启左侧

利用vba向CAD中添加的文字时如何旋转

[复制链接]
发表于 2014-8-27 13:32:44 | 显示全部楼层 |阅读模式
vba中 ThisDrawing.ModelSpace.AddText 添加的文字如何旋转
加了一些文字以后,如何实现文字的旋转90?用什么命令啊,

比如我插入了一些文字
     Dim wenzi2(0 To 2) As Double
      Dim b As String
      b = excelSheet.Cells(7 + x, 6).Value & "方向"
  wenzi2(0) = 654
   wenzi2(1) = 150 - (x - 1) * 190
ThisDrawing.ModelSpace.AddText b, wenzi2, 2.5
如何实现文字串b的旋转

Public Sub a()
Dim objText As AcadText, p As Variant
p = ThisDrawing.Utility.GetPoint(, "请插入点:")
Set objText = ThisDrawing.ModelSpace.AddText("slkdfjskdfj", p, 5)
objText.Rotate objText.InsertionPoint, 45
End Sub
回复

使用道具 举报

精彩推荐

小黑屋|手机版|嘻皮客网 ( 京ICP备10218169号|京公网安备11010802013797  

GMT+8, 2019-7-24 04:20 , Processed in 12.233188 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表